package com.zipcodewilmington.froilansfarm;

import java.time.DayOfWeek;

/**
 * Created by leon on 2/26/18.
 */
public class MainApplication {

    public static void main(String[] args) {
        Farm farm = FarmFactory.createFroilanFarm();
        FarmHouse farmHouse = new FarmHouse();
        farm.setFarmHouse(farmHouse);

        farmHouse.add(PersonFactory.create("froilan", farm));
        farmHouse.add(PersonFactory.create("froilanda", farm));
        farmHouse.add(PersonFactory.create("freelan", farm));

        DayOfWeek[] days = {DayOfWeek.SUNDAY, DayOfWeek.MONDAY, DayOfWeek.TUESDAY, DayOfWeek.WEDNESDAY};
        for (DayOfWeek day : days){
            System.out.println("Today is " + day.name());
            for(Person person : farmHouse.getPeople()){
                System.out.println("\t" + person.work(day));
            }
        }
    }

}
