package com.zipcodewilmington.froilansfarm.animals;

import com.zipcodewilmington.froilansfarm.Eater;
import com.zipcodewilmington.froilansfarm.Edible;
import com.zipcodewilmington.froilansfarm.NoiseMaker;

public abstract class Animal implements NoiseMaker, Eater {
    private String name;
    private String type;
    private boolean full;

    public Animal(String name, String type) {
        this.name = name;
        this.type = type;
    }

    public String getName(){
        return this.name;
    }

    public String getType(){
        return this.type;
    }

    public void eat(Edible edible){
        edible.eat();
        full = true;
    }

    public boolean isFull(){
        return full;
    }
}
