package com.zipcodewilmington.froilansfarm.animals;

import com.zipcodewilmington.froilansfarm.Edible;
import com.zipcodewilmington.froilansfarm.produce.Food;
import com.zipcodewilmington.froilansfarm.produce.Produce;

public class Chicken extends Animal implements Produce {
    private boolean fertilized;

    public Chicken(String name) {
        super(name, "Chicken");
    }

    public String makeNoise() {
        return "cluck cluck";
    }

    @Override
    public void fertilize() {
        fertilized = true;
    }

    @Override
    public boolean isFertilized() {
        return fertilized;
    }

    public Edible yield() {
        Edible edible = null;
        if (fertilized) {
            edible = new Food(Food.Type.EGG);
        }
        return edible;
    }
}
