package com.zipcodewilmington.froilansfarm.produce;

import com.zipcodewilmington.froilansfarm.Edible;

public class Crop implements Produce {
    private CropType type;
    private boolean fertilized;

    public Crop(CropType type) {
        this.type = type;
    }

    @Override
    public void fertilize() {
        fertilized = true;
    }

    @Override
    public boolean isFertilized() {
        return fertilized;
    }

    public Edible yield() {
        if (fertilized) {
            return new Food(type.getEdibleType());
        } else {
            return null;
        }
    }
}
