package com.zipcodewilmington.froilansfarm.produce;

import com.zipcodewilmington.froilansfarm.Edible;

import java.util.ArrayList;
import java.util.List;

public class CropRow {
    private int rowNumber;
    private List<Crop> crops = new ArrayList<Crop>();


    public CropRow(int rowNumber) {
        this.rowNumber = rowNumber;
    }

    public int getNumberOfCrop(){
        return crops.size();
    }

    public void add(Crop crop){
        crops.add(crop);
    }

    public int getRowNumber() {
        return rowNumber;
    }

    public List<Edible> harvest() {
        List<Edible> food = new ArrayList<>();
        for(Crop crop : crops) {
            food.add(crop.yield());
        }
        return food;
    }

    public void fertilize() {
        for(Crop crop: crops) {
            crop.fertilize();
        }
    }
}
