package com.zipcodewilmington.froilansfarm.task;

import com.zipcodewilmington.froilansfarm.Edible;
import com.zipcodewilmington.froilansfarm.Farm;
import com.zipcodewilmington.froilansfarm.Skill;
import com.zipcodewilmington.froilansfarm.animals.AnimalHouse;
import com.zipcodewilmington.froilansfarm.animals.Chicken;

import java.util.ArrayList;
import java.util.List;

public class CollectEggTask extends Task {
    private int numberOfEggCollected;

    public CollectEggTask(Farm farm) {
        super(farm, Skill.COLLECT);
    }

    @Override
    public void work() {
        List<Edible> eggs = new ArrayList<>();
        for(AnimalHouse<Chicken> coop : farm.getChickenCoops()) {
            for(Chicken chicken : coop.getAnimals()){
                Edible edible = chicken.yield();
                if (edible != null) {
                    eggs.add(edible);
                }
            }
        }
        numberOfEggCollected = eggs.size();
        completed = true;
        farm.addFood(eggs);
    }

    @Override
    public String getStatus() {
        if (completed) {
            return "collected " + numberOfEggCollected + " eggs from the chicken coops";
        } else {
            return "did not collect any egg";
        }
    }
}
