package com.zipcodewilmington.froilansfarm.task;

import com.zipcodewilmington.froilansfarm.Farm;
import com.zipcodewilmington.froilansfarm.Skill;
import com.zipcodewilmington.froilansfarm.animals.AnimalHouse;
import com.zipcodewilmington.froilansfarm.animals.Chicken;

public class FertilizeChickenTask extends Task {
    private int numberOfChicken = 0;

    public FertilizeChickenTask(Farm farm) {
        super(farm, Skill.FERTILIZE_CHICKEN);
    }

    @Override
    public void work() {
        for(AnimalHouse<Chicken> coop : farm.getChickenCoops()) {
            for(Chicken chicken : coop.getAnimals()){
                chicken.fertilize();
                numberOfChicken++;
            }
        }
        completed = true;
    }

    @Override
    public String getStatus() {
        if(completed) {
            return "fertilized " + numberOfChicken + " chickens";
        } else {
            return "did not fertilize any chicken";
        }
    }
}
