package com.zipcodewilmington.froilansfarm.task;

import com.zipcodewilmington.froilansfarm.Farm;
import com.zipcodewilmington.froilansfarm.Skill;
import com.zipcodewilmington.froilansfarm.produce.CropRow;

public class FertilizeCropRowTask extends Task{
    private final CropRow cropRow;

    public FertilizeCropRowTask(Farm farm, int rowNumber){
        super(farm, Skill.FLY);
        this.cropRow = farm.getCropRow(rowNumber);
    }

    @Override
    public void work() {
        cropRow.fertilize();
        completed = true;
    }

    @Override
    public String getStatus() {
        if (completed) {
            return "flew a crop duster to fertilize crop on row " + cropRow.getRowNumber();
        } else {
            return "did not complete harvesting for row " + cropRow.getRowNumber();
        }
    }
}
