package com.zipcodewilmington.froilansfarm.task;

import com.zipcodewilmington.froilansfarm.Edible;
import com.zipcodewilmington.froilansfarm.Farm;
import com.zipcodewilmington.froilansfarm.vehicle.FarmVehicle;
import com.zipcodewilmington.froilansfarm.Skill;
import com.zipcodewilmington.froilansfarm.produce.CropRow;
import com.zipcodewilmington.froilansfarm.vehicle.Vehicle;

import java.util.List;

public class HarvestTask extends Task {

    private final CropRow cropRow;

    public HarvestTask(Farm farm, int rowNumber) {
        super(farm, Skill.DRIVE);
        this.cropRow = farm.getCropRow(rowNumber);
    }

    @Override
    public void work() {
        List<Edible> food = cropRow.harvest();
        farm.addFood(food);
        completed = true;
    }

    @Override
    public String getStatus() {
        if(completed) {
            return "drove a tractor to harvest crop row " + cropRow.getRowNumber();
        } else {
            return "did not harvest crop row " + cropRow.getRowNumber();
        }
    }
}
