package com.zipcodewilmington.froilansfarm.task;

import com.zipcodewilmington.froilansfarm.Farm;
import com.zipcodewilmington.froilansfarm.Skill;
import com.zipcodewilmington.froilansfarm.produce.Crop;
import com.zipcodewilmington.froilansfarm.produce.CropRow;
import com.zipcodewilmington.froilansfarm.produce.CropType;

public class PlantTask extends Task {
    private static final int DEFAULT_CROP_NUMBER = 10;
    private final CropType cropType;
    private final CropRow cropRow;

    public PlantTask(Farm farm, int rowNumber, CropType cropType) {
        super(farm, Skill.PLANT);
        this.cropType = cropType;
        this.cropRow = farm.getCropRow(rowNumber);
    }

    @Override
    public void work() {
        for(int i = 0; i < DEFAULT_CROP_NUMBER; i++) {
            cropRow.add(new Crop(cropType));
        }
        completed = true;
    }

    @Override
    public String getStatus() {
        if (completed) {
            return "planted " + DEFAULT_CROP_NUMBER + " " + cropType.getPrettyName()
                    + " in row " + cropRow.getRowNumber();
        } else {
            return "did not plant anything";
        }
    }
}
