package com.zipcodewilmington.froilansfarm.task;

import com.zipcodewilmington.froilansfarm.Farm;
import com.zipcodewilmington.froilansfarm.Rideable;
import com.zipcodewilmington.froilansfarm.Skill;
import com.zipcodewilmington.froilansfarm.animals.Animal;
import com.zipcodewilmington.froilansfarm.animals.AnimalHouse;
import com.zipcodewilmington.froilansfarm.animals.Chicken;
import com.zipcodewilmington.froilansfarm.produce.EdibleProduct;

import java.util.ArrayList;
import java.util.List;

public class RideAnimalTask<T extends Animal> extends Task{
    private final List<T> animals = new ArrayList<>();

    public RideAnimalTask(Farm farm, List<AnimalHouse<T>> houses) {
        super(farm, Skill.RIDE);

        for(AnimalHouse<T> house : houses) {
            this.animals.addAll(house.getAnimals());
        }
    }

    @Override
    public void work() {
        completed = true;
    }

    @Override
    public String getStatus() {
        if (completed && animals.size() > 0) {
            return "rode " + animals.size() +  " " + animals.get(0).getType();
        } else {
            return "did not ride any animal";
        }

    }
}
