package com.zipcodewilmington.froilansfarm.task;

import com.zipcodewilmington.froilansfarm.Farm;
import com.zipcodewilmington.froilansfarm.animals.AnimalHouse;
import com.zipcodewilmington.froilansfarm.produce.CropType;
import com.zipcodewilmington.froilansfarm.produce.Food;
import com.zipcodewilmington.froilansfarm.animals.Animal;

import java.util.List;

public class TaskFactory {

    public static <T extends Animal> Task createFeedAnimalTask(Farm farm, List<AnimalHouse<T>> animals, Food.Type food, int amountPerAnimal) {
        return new FeedAnimalTask<T>(farm, animals, food, amountPerAnimal);
    }

    public static Task createPlantingTask(Farm farm, int rowNumber, CropType cornStalk) {
        return new PlantTask(farm, rowNumber, cornStalk);
    }

    public static Task createHarvestTask(Farm farm, int rowNumber) {
        return new HarvestTask(farm, rowNumber);
    }

    public static Task createFertilizeCropRowTask(Farm farm, int rowNumber) {
        return new FertilizeCropRowTask(farm, rowNumber);
    }

    public static Task createCollectEggTask(Farm farm) {
        return new CollectEggTask(farm);
    }

    public static Task createFertilizeChickenTask(Farm farm) {
        return new FertilizeChickenTask(farm);
    }

    public static <T extends Animal> Task createRideAnimalTask(Farm farm, List<AnimalHouse<T>> houses) {
        return new RideAnimalTask<T>(farm, houses);
    }

}
