package com.zipcodewilmington.froilansfarm;

import com.zipcodewilmington.froilansfarm.animals.AnimalHouse;
import com.zipcodewilmington.froilansfarm.animals.Chicken;
import com.zipcodewilmington.froilansfarm.produce.CropRow;
import com.zipcodewilmington.froilansfarm.vehicle.FarmVehicle;
import com.zipcodewilmington.froilansfarm.vehicle.Vehicle;
import org.junit.Assert;
import org.junit.Test;

import java.util.List;

public class FarmFactoryTest {

    @Test
    public void testCreate(){
        Farm farm = FarmFactory.createFroilanFarm();
        testAnimals(farm);
        testField(farm);
        testVehicles(farm);
    }

    private void testVehicles(Farm farm) {
        List<FarmVehicle> vehicles = farm.getVehicles();
        Assert.assertEquals(3, vehicles.size());
    }

    private void testField(Farm farm) {
        List<CropRow> rows = farm.getField().getCropRows();
        Assert.assertEquals(5, rows.size());
    }

    private void testAnimals(Farm farm) {
        for(AnimalHouse<Chicken> coop : farm.getChickenCoops()) {
            Assert.assertEquals(3, coop.getAnimals().size());
        }

        for(AnimalHouse<Chicken> stable : farm.getChickenCoops()) {
            Assert.assertEquals(4, stable.getAnimals().size());
        }
    }
}
