package com.zipcodewilmington.froilansfarm;

import com.zipcodewilmington.froilansfarm.produce.Food;
import com.zipcodewilmington.froilansfarm.vehicle.FarmVehicle;
import org.junit.Assert;
import org.junit.Test;

import java.util.ArrayList;
import java.util.List;

public class FarmTest {

    @Test
    public void testGetFood_WhenThereIsNone(){
        Farm farm = new Farm();

        List<Edible> food = new ArrayList<>();
        Edible corn = new Food(Food.Type.EARCORN);
        food.add(corn);
        food.add(new Food(Food.Type.TOMATO));
        food.add(new Food(Food.Type.EGG));

        farm.addFood(food);

        List<Edible> edibles = farm.getFood(corn.getName());
        Assert.assertEquals(1, edibles.size());
        Assert.assertEquals(corn, edibles.get(0));
    }

    @Test
    public void testGetVechicle_whenThereAreNone(){
        Farm farm = new Farm();
        Assert.assertNull(farm.getVehicle(FarmVehicle.Type.TRACTOR));
    }

    @Test
    public void testGetVechicle_whenFarmDoesNotHaveTheType(){
        Farm farm = new Farm();
        farm.addVehicle(new FarmVehicle(FarmVehicle.Type.CROP_DUSTER));
        Assert.assertNull(farm.getVehicle(FarmVehicle.Type.TRACTOR));
    }

    @Test
    public void testGetVechicle_whenFarmHasIt(){
        Farm farm = new Farm();
        farm.addVehicle(new FarmVehicle(FarmVehicle.Type.TRACTOR));
        Assert.assertNotNull(farm.getVehicle(FarmVehicle.Type.TRACTOR));
    }

    @Test
    public void testGetSetFarmHouse(){
        Farm farm = new Farm();

        FarmHouse house = new FarmHouse();
        farm.setFarmHouse(house);

        Assert.assertEquals(house, farm.getFarmHouse());
    }
}
