package com.zipcodewilmington.froilansfarm;

import com.zipcodewilmington.froilansfarm.animals.AnimalHouse;
import com.zipcodewilmington.froilansfarm.animals.Chicken;
import com.zipcodewilmington.froilansfarm.animals.Horse;
import com.zipcodewilmington.froilansfarm.produce.Crop;
import com.zipcodewilmington.froilansfarm.produce.CropRow;
import com.zipcodewilmington.froilansfarm.vehicle.FarmVehicle;

public class MockFarmFactory {

    public static Farm create(Crop... crops){
        Farm farm = new Farm();
        farm.addVehicle(new FarmVehicle(FarmVehicle.Type.CROP_DUSTER));

        addCrop(farm, crops);
        addAnimals(farm);

        return farm;
    }

    private static void addAnimals(Farm farm) {
        AnimalHouse<Chicken> coop = new AnimalHouse<>();
        coop.add(new Chicken("chi1"));
        coop.add(new Chicken("chi2"));
        farm.addChickenCoop(coop);

        AnimalHouse<Horse> stable = new AnimalHouse<>();
        stable.add(new Horse("betty1"));
        stable.add(new Horse("betty2"));
        farm.addHorseStable(stable);

    }

    private static void addCrop(Farm farm, Crop[] crops) {
        CropRow cropRow = new CropRow(1);
        farm.getField().addCropRow(cropRow);

        for(Crop crop : crops) {
            cropRow.add(crop);
        }
    }
}
