package com.zipcodewilmington.froilansfarm.animals;

import com.zipcodewilmington.froilansfarm.produce.Food;
import org.junit.Assert;
import org.junit.Before;
import org.junit.Test;

public class AnimalTest {
    private Animal animal;
    private String name = "unicorn 1";

    @Before
    public void setup(){
        animal = new FakeAnimal(name);
    }

    @Test
    public void testGetName(){
        Assert.assertEquals(name, animal.getName());
    }

    @Test
    public void testGetType(){
        Assert.assertEquals("unicorn", animal.getType());
    }

    @Test
    public void testIsFullWithoutEating(){
        Assert.assertFalse(animal.isFull());
    }

    @Test
    public void testIsFull_afterEating(){
        animal.eat(new Food(Food.Type.EARCORN));
        Assert.assertTrue(animal.isFull());
    }

    private class FakeAnimal extends Animal{

        public FakeAnimal(String name) {
            super(name, "unicorn");
        }

        @Override
        public String makeNoise() {
            return null;
        }
    }
}
