package com.zipcodewilmington.froilansfarm.animals;

import com.zipcodewilmington.froilansfarm.Edible;
import org.junit.Assert;
import org.junit.Before;
import org.junit.Test;

public class ChickenTest {
    private Chicken chicken;

    @Before
    public void setup(){
        chicken = new Chicken("C");
    }

    @Test
    public void testMakeNoise(){
        Assert.assertEquals("cluck cluck", chicken.makeNoise());
    }

    @Test
    public void testYield(){
        chicken.fertilize();
        Edible edible = chicken.yield();
        Assert.assertEquals("egg", edible.getName());
    }

    @Test
    public void testFertilize(){
        Assert.assertFalse(chicken.isFertilized());

        chicken.fertilize();

        Assert.assertTrue(chicken.isFertilized());
    }

}
