package com.zipcodewilmington.froilansfarm.produce;

import com.zipcodewilmington.froilansfarm.Edible;
import org.junit.Assert;
import org.junit.Test;

public class CropTest {

    @Test
    public void testYield_forCorn(){
        Crop corn = new Crop(CropType.CORN_STALK);
        corn.fertilize();
        Edible food = corn.yield();
        Assert.assertTrue(food.getName().equalsIgnoreCase(Food.Type.EARCORN.name()));
    }

    @Test
    public void testYield_forTomato(){
        Crop tomato = new Crop(CropType.TOMATO_PLANT);
        tomato.fertilize();
        Edible food = tomato.yield();
        Assert.assertTrue(food.getName().equalsIgnoreCase(Food.Type.TOMATO.name()));
    }

    @Test
    public void testYield_whenNotFertilized(){
        Crop corn = new Crop(CropType.TOMATO_PLANT);
        Edible food = corn.yield();
        Assert.assertNull(food);
    }
}
