package com.zipcodewilmington.froilansfarm.task;

import com.zipcodewilmington.froilansfarm.Farm;
import com.zipcodewilmington.froilansfarm.MockFarmFactory;
import com.zipcodewilmington.froilansfarm.animals.AnimalHouse;
import com.zipcodewilmington.froilansfarm.animals.Horse;
import org.junit.Assert;
import org.junit.Before;
import org.junit.Test;

import java.util.List;

public class RideAnimalTaskTest {
    private Farm farm;

    @Before
    public void setup(){
        farm = MockFarmFactory.create();
    }

    @Test
    public void testGetStatus_whenWorkIsComplete(){
        List<AnimalHouse<Horse>> stables = farm.getStables();
        Task task = TaskFactory.createRideAnimalTask(farm, stables);

        task.work();

        String expected = "rode 2 Horse";
        String actual = task.getStatus();

        Assert.assertEquals(expected, actual);
    }

    @Test
    public void testGetStatus_whenWorkIsNotDone(){
        List<AnimalHouse<Horse>> stables = farm.getStables();
        Task task = TaskFactory.createRideAnimalTask(farm, stables);

        String expected = "did not ride any animal";
        String actual = task.getStatus();

        Assert.assertEquals(expected, actual);
    }
}
